RCFProto

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Member Functions | List of all members
RCF::RcfProtoServer Class Reference

Serves up Protocol Buffer-based services to clients, over one or more server transports. More...

`#include <RCFProto.hpp>`

Inherits RCF::RcfServer.

## Public Member Functions
void | start ()
| Starts the RCFProto server.
void | stop ()
| Stops the RCFProto server.
void | setThreadPool (ThreadPoolPtr threadPoolPtr)
| Sets the thread pool the server will use. Thread pools can also be assigned to individual transports.
ThreadPoolPtr | getThreadPool ()
| Returns the thread pool the server is using.
ServerTransport & | addEndpoint (const RCF::Endpoint &endpoint)
| Adds a transport endpoint to the server.
void | setSupportedTransportProtocols (const std::vector< TransportProtocol > &protocols)
const std::vector < TransportProtocol > & | getSupportedTransportProtocols () const
| Returns the list of supported protocols for the server.
void | setSessionTimeoutMs (boost::uint32_t sessionTimeoutMs)
boost::uint32_t | getSessionTimeoutMs ()
| Returns the session timeout value, in milliseconds.
void | setSessionHarvestingIntervalMs (boost::uint32_t sessionHarvestingIntervalMs)
boost::uint32_t | getSessionHarvestingIntervalMs ()
| Returns the session harvesting interval, in milliseconds.
void | setCertificate (CertificatePtr certificatePtr)
| Sets the SSL certificate of the server.
CertificatePtr | getCertificate ()
| Gets the SSL certificate of the server.
void | setOpenSslCipherSuite (const std::string &cipherSuite)
| Sets the OpenSSL cipher suite. Only applicable when OpenSSL is used as the SSL implementation.
std::string | getOpenSslCipherSuite () const
| Gets the OpenSSL cipher suite.
void | setCaCertificate (CertificatePtr certificatePtr)
| Sets the SSL certificate authority of the server.
CertificatePtr | getCaCertificate ()
| Gets the SSL certificate authority of the server.
void | setEnableSchannelCertificateValidation (const tstring &peerName)
tstring | getEnableSchannelCertificateValidation () const
| Gets the Schannel certificate validation setting.
SslImplementation | getSslImplementation () const
| Gets the SSL implementation of the server.
void | setCertificateValidationCallback (CertificateValidationCb certificateValidationCb)
| Sets the SSL certificate validation callback.
const CertificateValidationCb & | getCertificateValidationCallback () const
| Gets the SSL certificate validation callback.

## Detailed Description

Serves up Protocol Buffer-based services to clients, over one or more server transports.

## Member Function Documentation

void RCF::RcfProtoServer::setEnableSchannelCertificateValidation | ( | const tstring & | peerName | ) |

Sets the Schannel certificate validation setting. Only applicable when using Schannel as the SSL implementation. If this setting is non-empty, it will be used by Schannel to automatically validate peer certificates.

void RCF::RcfProtoServer::setSessionHarvestingIntervalMs | ( | boost::uint32_t | sessionHarvestingIntervalMs | ) |

Sets the session harvesting interval, in milliseconds. This setting determines how often the server will scan for idle client connections.

void RCF::RcfProtoServer::setSessionTimeoutMs | ( | boost::uint32_t | sessionTimeoutMs | ) |

Sets the session timeout value, in milliseconds. Client connections that are idle for this amount of time will be dropped by the server.

void RCF::RcfProtoServer::setSupportedTransportProtocols | ( | const std::vector< TransportProtocol > & | protocols | ) |

Sets the list of supported protocols the server supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed.

Note that supported protocols can also be specified on a server transport, in which case the server transport setting overrides the server setting.

The documentation for this class was generated from the following file:

- RCFProto.hpp